@charset "utf-8";

.main-footer {
	padding: 140px 0 80px calc((220 / 1920) * 100%);
	background-color: #505b66;
	color: #fff;
}

.footer-top {
	display: flex;
}

.footer-locationwrapper {
	width: 40%;
	font-size: 0.8vw;
	color: #a1a1a1;
}

.footer-location {
	font-weight: 900;
	padding-bottom: 2em;
	font-size: 1vw;
}

.footer-address {
}

.footer-contactwrapper {
	width: 60%;
}

.footer-contact-sub {
	font-size: 1.2vw;
	font-weight: 900;
	margin: 0;
}
.footer-contact-sub::before {
	display: inline-block;
	content: "";
	width: max(0.8vw, 10px);
	height: max(0.8vw, 10px);
	border-radius: 50%;
	background-color: #2bbecf;
	margin-right: max(1vw, 8px);
}

.footer-contact-header {
	font-size: 6.5vw;
	font-weight: 700;
	line-height: 1.8;
	margin: 0;
}

.button-contact {
	width: 100%;
	max-width: 400px;
	padding: 1rem 2rem;
	background-color: #fff;
	border-radius: 100px;
	position: relative;
	color: #000000;
	cursor: pointer;
	margin-top: 40px;
}

.button-contact::before {
	content: "";
	background-color: #fff;
	border: 1px solid #aaaaaa;
	border-radius: 50%;
	width: 46px;
	height: 46px;
	position: absolute;
	right: 10px;
	top: 50%;
	transform: translateY(-50%);
}

.button-contact::after {
	content: "";
	border-top: 1px solid #aaaaaa;
	border-right: 1px solid #aaaaaa;
	width: 16px;
	height: 16px;
	position: absolute;
	right: 30px;
	top: 50%;
	transform: translateY(-50%) rotate(45deg);
}

.footer-contact-text {
	font-size: min(3vw, 16px);
}

.footer-bottom {
	color: #a1a1a1;
	font-size: min(2.5vw, 14px);
	display: flex;
	justify-content: space-between;
	margin-top: 40px;
}

.footer-policy {
}

.footer-copyrights {
}

.footer-sns {
	font-size: 22px;
}
@media screen and (max-width: 479px) {
	.main-footer {
		padding: 100px 7vw 80px;
	}
	.footer-top {
		flex-direction: column-reverse;
	}
	.footer-contact-header {
		font-size: 12vw;
	}
	.footer-contact-sub {
		font-size: 2.4vw;
	}
	.footer-contactwrapper,
	.footer-locationwrapper {
		width: 100%;
	}
	.footer-locationwrapper {
		margin-top: 60px;
		padding-top: 60px;
		font-size: min(2.5vw, 14px);
		border-top: 1px solid #707070;
	}
	.footer-location {
		font-size: min(3vw, 12px);
	}
	.footer-sns {
		font-size: 18px;
	}
}
